Subject: RE: bug#4142: [PATCH] 23.1 info.el::Info-goto-node - Wrong type argument:stringp, nil

From: "Drew Adams" <[email-masked]>
Date: Sat, 17 Sep 2011 07:19:38 -0700

> > The problem is that the node `Index' of the the w3m manual 
> > is recognized as an index node (but actually it is a normal
> > node with a menu that has references to index nodes) because
> > it has the word `Index' in the node name and does not support
> > index cookies (because it is generated by
> > `texinfmt.el', not by `makeinfo').
> 
> So I don't think this is an Emacs bug, but should be fixed in the
> emacs-w3m manual instead.

It would seem that the bug, or enhancement request, is that Emacs not have such
a fragile way of recognizing an index node.

Depending on the node name is a bit sophomorish, no?  We have lots of meta info
that is not displayed to the user but is used for Info to do its job.  This
sounds like another place where we should make use of that possibility.